Commit 72ee345d authored by Dmitriy Zaporozhets's avatar Dmitriy Zaporozhets

Remove grit fork reference from Gemfile. Use gitlab-gollum-lib gem

parent c5feabde
...@@ -22,9 +22,7 @@ gem 'omniauth-twitter' ...@@ -22,9 +22,7 @@ gem 'omniauth-twitter'
gem 'omniauth-github' gem 'omniauth-github'
# Extracting information from a git repository # Extracting information from a git repository
# We cannot use original git since some bugs gem 'gitlab_git', '~> 1.2.0'
gem "grit", '~> 2.5.0', git: 'https://github.com/gitlabhq/grit.git'
gem 'gitlab_git', '~> 1.1.0'
# Ruby/Rack Git Smart-HTTP Server Handler # Ruby/Rack Git Smart-HTTP Server Handler
gem 'gitlab-grack', '~> 1.0.0', require: 'grack' gem 'gitlab-grack', '~> 1.0.0', require: 'grack'
...@@ -35,6 +33,9 @@ gem 'gitlab_omniauth-ldap', '1.0.2', require: "omniauth-ldap" ...@@ -35,6 +33,9 @@ gem 'gitlab_omniauth-ldap', '1.0.2', require: "omniauth-ldap"
# Syntax highlighter # Syntax highlighter
gem "gitlab-pygments.rb", '~> 0.3.2', require: 'pygments.rb' gem "gitlab-pygments.rb", '~> 0.3.2', require: 'pygments.rb'
# Git Wiki
gem "gitlab-gollum-lib", "~> 1.0.0", require: 'gollum-lib'
# Language detection # Language detection
gem "github-linguist", require: "linguist" gem "github-linguist", require: "linguist"
...@@ -93,9 +94,6 @@ gem "colored" ...@@ -93,9 +94,6 @@ gem "colored"
# GitLab settings # GitLab settings
gem 'settingslogic' gem 'settingslogic'
# Git Wiki
gem "gollum-lib", "~> 1.0.0"
# Misc # Misc
gem "foreman" gem "foreman"
......
...@@ -6,15 +6,6 @@ GIT ...@@ -6,15 +6,6 @@ GIT
activerecord (>= 2.3.0) activerecord (>= 2.3.0)
rake (>= 0.8.7) rake (>= 0.8.7)
GIT
remote: https://github.com/gitlabhq/grit.git
revision: e873bb84ac3c4f8249311490d6a7c6ac9127625f
specs:
grit (2.5.0)
diff-lcs (~> 1.1)
mime-types (~> 1.15)
posix-spawn (~> 0.3.6)
GIT GIT
remote: https://github.com/gitlabhq/raphael-rails.git remote: https://github.com/gitlabhq/raphael-rails.git
revision: cb2c92a040b9b941a5f1aa1ea866cc26e944fe58 revision: cb2c92a040b9b941a5f1aa1ea866cc26e944fe58
...@@ -159,30 +150,34 @@ GEM ...@@ -159,30 +150,34 @@ GEM
pygments.rb (>= 0.2.13) pygments.rb (>= 0.2.13)
github-markdown (0.5.3) github-markdown (0.5.3)
github-markup (0.7.5) github-markup (0.7.5)
gitlab-gollum-lib (1.0.0)
github-markdown (~> 0.5.3)
github-markup (>= 0.7.5, < 1.0.0)
gitlab-grit (~> 2.5.1)
nokogiri (~> 1.5.9)
pygments.rb (~> 0.4.2)
sanitize (~> 2.0.3)
stringex (~> 1.5.1)
gitlab-grack (1.0.0) gitlab-grack (1.0.0)
rack (~> 1.4.1) rack (~> 1.4.1)
gitlab-grit (2.5.1)
charlock_holmes (~> 0.6.9)
diff-lcs (~> 1.1)
mime-types (~> 1.15)
posix-spawn (~> 0.3.6)
gitlab-pygments.rb (0.3.2) gitlab-pygments.rb (0.3.2)
posix-spawn (~> 0.3.6) posix-spawn (~> 0.3.6)
yajl-ruby (~> 1.1.0) yajl-ruby (~> 1.1.0)
gitlab_git (1.1.0) gitlab_git (1.2.0)
activesupport (~> 3.2.13) activesupport (~> 3.2.13)
github-linguist (~> 2.3.4) github-linguist (~> 2.3.4)
grit (~> 2.5.0) gitlab-grit (~> 2.5.1)
grit_ext (~> 0.8.1)
gitlab_meta (5.0) gitlab_meta (5.0)
gitlab_omniauth-ldap (1.0.2) gitlab_omniauth-ldap (1.0.2)
net-ldap (~> 0.2.2) net-ldap (~> 0.2.2)
omniauth (~> 1.0) omniauth (~> 1.0)
pyu-ruby-sasl (~> 0.0.3.1) pyu-ruby-sasl (~> 0.0.3.1)
rubyntlm (~> 0.1.1) rubyntlm (~> 0.1.1)
gollum-lib (1.0.0)
github-markdown (~> 0.5.3)
github-markup (>= 0.7.5, < 1.0.0)
grit (~> 2.5.0)
nokogiri (~> 1.5.9)
pygments.rb (~> 0.4.2)
sanitize (~> 2.0.3)
stringex (~> 1.5.1)
gon (4.1.0) gon (4.1.0)
actionpack (>= 2.3.0) actionpack (>= 2.3.0)
json json
...@@ -199,8 +194,6 @@ GEM ...@@ -199,8 +194,6 @@ GEM
grape-entity (0.3.0) grape-entity (0.3.0)
activesupport activesupport
multi_json (>= 1.3.2) multi_json (>= 1.3.2)
grit_ext (0.8.1)
charlock_holmes (~> 0.6.9)
growl (1.0.3) growl (1.0.3)
guard (1.8.0) guard (1.8.0)
formatador (>= 0.2.4) formatador (>= 0.2.4)
...@@ -516,16 +509,15 @@ DEPENDENCIES ...@@ -516,16 +509,15 @@ DEPENDENCIES
gemoji (~> 1.2.1) gemoji (~> 1.2.1)
github-linguist github-linguist
github-markup (~> 0.7.4) github-markup (~> 0.7.4)
gitlab-gollum-lib (~> 1.0.0)
gitlab-grack (~> 1.0.0) gitlab-grack (~> 1.0.0)
gitlab-pygments.rb (~> 0.3.2) gitlab-pygments.rb (~> 0.3.2)
gitlab_git (~> 1.1.0) gitlab_git (~> 1.2.0)
gitlab_meta (= 5.0) gitlab_meta (= 5.0)
gitlab_omniauth-ldap (= 1.0.2) gitlab_omniauth-ldap (= 1.0.2)
gollum-lib (~> 1.0.0)
gon gon
grape grape
grape-entity grape-entity
grit (~> 2.5.0)!
growl growl
guard-rspec guard-rspec
guard-spinach guard-spinach
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment